Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Svc_Handler.h File Reference

`#include "ace/Synch_Options.h"`
`#include "ace/Task.h"`
`#include "ace/Service_Config.h"`
`#include "ace/Recyclable.h"`
`#include "ace/Svc_Handler.cpp"`

Include dependency graph for Svc_Handler.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Buffered_Svc_Handler
| Defines the interface for a service that exchanges data with its connected peer and supports buffering. More...
class | ACE_Svc_Handler
| Defines the interface for a service that exchanges data with its connected peer. More...

## Detailed Description

Id:
  Svc_Handler.h,v 4.48 2003/07/19 19:04:13 dhinton Exp

Author:
  Douglas Schmidt <schmidt@uci.edu> , Irfan Pyarali <irfan@cs.wustl.edu>